Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libibumad: new aport

From: Jann - Ove Risvik <jann.ove_at_usaklig.com>
Date: Sat, 9 Jul 2016 16:40:02 +0200

https://openfabrics.org/index.php/openfabrics-software.html
Interface to ib_umad module (user_mad) library. (InfiniBand)

2.nd try at packages for managing infiniband hardware. Doublechecked which of the packages actually refused to build with alpine $CHOST and $CBUILD, and worked around it a bit more elegantly than pulling in a newer config.sub
---
 testing/libibumad/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/libibumad/APKBUILD
diff --git a/testing/libibumad/APKBUILD b/testing/libibumad/APKBUILD
new file mode 100644
index 0000000..59af7e0
--- /dev/null
+++ b/testing/libibumad/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Jann - Ove Risvik <jann.ove_at_usaklig.com>
+# Maintainer:
+pkgname=libibumad
+pkgver=1.3.10.2
+pkgrel=0
+pkgdesc="Interface to ib_umad module (user_mad) library. (InfiniBand)"
+url="https://www.openfabrics.org/index.php/openfabrics-software.html"
+arch="x86 x86_64"
+license="GPL2 BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://www.openfabrics.org/downloads/management/$pkgname-$pkgver.tar.gz
+"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"	
+	./configure \
+	        --build=`echo $CBUILD | sed s/alpine-linux-musl/linux/`\
+		--host=`echo $CHOST | sed s/alpine-linux-musl/linux/` \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="dd017844c55713bd335aa229e6841d41  libibumad-1.3.10.2.tar.gz"
+sha256sums="500f74e31bd9f3d6c32dea912de3a2d1b299f3f23d7abd893652dd45c77a7e2e  libibumad-1.3.10.2.tar.gz"
+sha512sums="aa2e9038600f6fd9f5cd7c42f6125f25db1504eca040d48f501acf3dcba310f5af50d56fbfe959d1f33b3eacd382f33782077510c7f1a841ae12c5942eb7fa8c  libibumad-1.3.10.2.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Jul 09 2016 - 16:40:02 GMT